<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet exclude-result-prefixes="xd" version="1.0" xmlns:tei="http://www.tei-c.org/ns/1.0"
    xmlns:xd="http://www.oxygenxml.com/ns/doc/xsl" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
    <xd:doc scope="stylesheet">
        <xd:desc>
            <xd:p><xd:b>Created on:</xd:b> Apr 5, 2011</xd:p>
            <xd:p><xd:b>Author:</xd:b> cblack01</xd:p>
            <xd:p/>
        </xd:desc>
    </xd:doc>
    <xsl:template match="/">
        <html lang="eng">
            <head>
                <meta content="text/html; charset=utf-8" http-equiv="content-type"/>
                <link href="css/normalize.css" media="screen" rel="stylesheet" type="text/css"/>
                <link href="css/app.css" media="screen" rel="stylesheet" type="text/css"/>
                <link href="css/chs_tei.css" media="screen" rel="stylesheet" type="text/css"/>
                <title>Metrical Summaries in the Venetus A &amp; Escorialensis 4</title>
            </head>
            <body>
                <header>The Homer Multitext · Casey Dué &amp; Mary Ebbott, Editors · Christopher Blackwell &amp; Neel Smith, Project Architects · Douglas Frame, Leonard Muellner, &amp; Gregory Nagy, Associate Editors · A Publication of the <a href='http://www.chs.harvard.edu'>Center for Hellenic Studies of Harvard University</a>, G. Nagy, Director, with support from the <a href='http://www.rcc.uh.edu/about.html'>University of Houston’s High Performance Computing Group</a>.</header>
                
                <nav><p>Homer Multitext: <a href='http://www.homermultitext.org'>Home</a></p></nav>
                
                <h1><xsl:apply-templates select="//tei:title"/></h1>
                <h2>
                <xsl:for-each select="//tei:author">
                    <xsl:apply-templates select="current()"/>,
                </xsl:for-each>
                    edd.
                
                </h2>
                
                <div class="description">
                <xsl:apply-templates select="//tei:publicationStmt"/>
                </div>
                
               
                
                <xsl:for-each select="//tei:div[@n='VA']//tei:row">
                    <xsl:variable name="iliad_book">
                        <xsl:value-of select="@n"/>
                    </xsl:variable>
                    <div class="roi_pair">
                        <xsl:call-template name="make_a_div">
                            <xsl:with-param name="manuscript">Venetus A</xsl:with-param>
                            <xsl:with-param name="iliad_book">
                                <xsl:value-of select="$iliad_book"/>
                            </xsl:with-param>
                            <xsl:with-param name="column_l_r">left</xsl:with-param>
                        </xsl:call-template>
                        <xsl:for-each select="//tei:div[@n='E4']//tei:row">
                            <xsl:if test="current()/@n = $iliad_book">
                                <xsl:call-template name="make_a_div">
                                    <xsl:with-param name="manuscript">Escorialensis
                                        4</xsl:with-param>
                                    <xsl:with-param name="iliad_book">
                                        <xsl:value-of select="current()/@n"/>
                                    </xsl:with-param>
                                    <xsl:with-param name="column_l_r">right</xsl:with-param>
                                </xsl:call-template>
                            </xsl:if>
                        </xsl:for-each>
                    </div>
                </xsl:for-each>
                
                 <div class="rights">
                <xsl:apply-templates select="//tei:sourceDesc"/>
                </div>
            </body>
        </html>
    </xsl:template>
    <xsl:template match="tei:row">
        <xsl:param name="manuscript"/>
        <xsl:variable name="iliad_book">
            <xsl:value-of select="@n"/>
        </xsl:variable>
        <xsl:call-template name="make_a_div">
            <xsl:with-param name="manuscript">
                <xsl:value-of select="$manuscript"/>
            </xsl:with-param>
            <xsl:with-param name="iliad_book">
                <xsl:value-of select="$iliad_book"/>
            </xsl:with-param>
            <xsl:with-param name="column_l_r">left</xsl:with-param>
        </xsl:call-template>
    </xsl:template>
    <xsl:template name="make_a_div">
        <xsl:param name="iliad_book"/>
        <xsl:param name="manuscript"/>
        <xsl:param name="column_l_r"/>
        <xsl:element name="div">
            <xsl:attribute name="class"><xsl:value-of select="$column_l_r"/> section</xsl:attribute>
            <span class="caption"><xsl:value-of select="$manuscript"/>: <span class="colored"
                        ><xsl:apply-templates select="tei:cell[1]"/></span></span>
            <span class="img">
                <xsl:element name="a">
                    <xsl:choose>
                        <xsl:when test="current()/ancestor::*[@n = 'E4']">
                            <xsl:attribute name="href"
                                    >http://blackwell.dyndns-web.com/chsimg2/Img?request=GetIIPMooViewer&amp;urn=<xsl:value-of
                                    select="tei:cell[2]"/></xsl:attribute>
                        </xsl:when>
                        <xsl:otherwise>
                            <xsl:attribute name="href"
                                    >http://amphoreus.hpcc.uh.edu/tomcat/chsimg/Img?request=GetIIPMooViewer&amp;urn=<xsl:value-of
                                    select="tei:cell[2]"/></xsl:attribute>
                        </xsl:otherwise>
                    </xsl:choose>
                    <xsl:attribute name="target">_blank</xsl:attribute>
                    <xsl:element name="img">
                        <xsl:attribute name="class">rolling_img</xsl:attribute>
                        <xsl:choose>
                            <xsl:when test="current()/ancestor::*[@n = 'E4']">
                                <xsl:attribute name="src"
                                        >http://blackwell.dyndns-web.com/chsimg2/Img?request=GetBinaryImage&amp;urn=<xsl:value-of
                                        select="tei:cell[2]"/>&amp;w=2000</xsl:attribute>
                            </xsl:when>
                            <xsl:otherwise>
                                <xsl:attribute name="src"
                                        >http://pinakes.hpcc.uh.edu/chsimg/Img?request=GetBinaryImage&amp;urn=<xsl:value-of
                                        select="tei:cell[2]"/>&amp;w=2000</xsl:attribute>
                            </xsl:otherwise>
                        </xsl:choose>
                    </xsl:element>
                </xsl:element>
            </span>
            <span class="text"> Text:
                    <xsl:call-template name="compareText">
                    <xsl:with-param name="thisText"><xsl:value-of select="tei:cell[3]"
                        /></xsl:with-param>
                    <xsl:with-param name="otherText">
                        <xsl:choose>
                            <xsl:when test="current()/ancestor::*[@n = 'E4']"><xsl:value-of
                                    select="//tei:div[@n='VA']//tei:row[@n = $iliad_book]//tei:cell[3]"
                                /></xsl:when>
                            <xsl:otherwise><xsl:value-of
                                    select="//tei:div[@n='E4']//tei:row[@n = $iliad_book]//tei:cell[3]"
                                /></xsl:otherwise>
                        </xsl:choose>
                    </xsl:with-param>
                    <xsl:with-param name="count">1</xsl:with-param>
                </xsl:call-template>
            </span>
            <span class="translation"> Translation: <xsl:apply-templates select="tei:cell[4]"/>
            </span>
            <xsl:if test="tei:cell[5]">
                <span class="commentary">Note: <xsl:apply-templates select="tei:cell[5]"/></span>
            </xsl:if>
        </xsl:element>
        
    </xsl:template>
    <xsl:template name="compareText">
        <xsl:param name="thisText"/>
        <xsl:param name="otherText"/>
        <xsl:param name="count"/>
        <xsl:variable name="thisChar">
            <xsl:value-of select="substring($thisText,$count,1)"/>
        </xsl:variable>
        <xsl:variable name="otherChar">
            <xsl:value-of select="substring($otherText,$count,1)"/>
        </xsl:variable>
        <xsl:choose>
            <xsl:when test="$thisChar = $otherChar">
                <xsl:value-of select="$thisChar"/>
            </xsl:when>
            <xsl:otherwise>
                <span class="tei_corr">
                    <xsl:value-of select="$thisChar"/>
                </span>
            </xsl:otherwise>
        </xsl:choose>
        <xsl:if test="$count &lt; string-length($thisText)">
            <xsl:call-template name="compareText">
                <xsl:with-param name="thisText">
                    <xsl:value-of select="$thisText"/>
                </xsl:with-param>
                <xsl:with-param name="otherText">
                    <xsl:value-of select="$otherText"/>
                </xsl:with-param>
                <xsl:with-param name="count">
                    <xsl:value-of select="$count + 1"/>
                </xsl:with-param>
            </xsl:call-template>
        </xsl:if>
    </xsl:template>
</xsl:stylesheet>
